FMAX(3)

NAME
fmax, fmaxf, fmaxl - determine maximum of two floating-point numbers

SYNOPSIS
#include <math.h>

double fmax(double x, double y);
float fmaxf(float x, float y);
long double fmaxl(long double x, long double y);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

fmax(), fmaxf(), fmaxl():
    _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
These functions return the larger value of x and y.

RETURN VALUE
These functions return the maximum of x and y. If one argument is a NaN, the other argument is returned. If both arguments are NaN, a NaN is returned.

ERRORS
No errors occur.

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
C99, POSIX.1-2001.

SEE ALSO
fmin(3)

COLOPHON
This page is part of release 3.34 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://man7.org/linux/man-pages/.